## net.sourceforge.pmd.sourcetypehandlers
Class JavaTypeHandler

    java.lang.Object
      net.sourceforge.pmd.sourcetypehandlers.JavaTypeHandler

All Implemented Interfaces:
  SourceTypeHandler

Direct Known Subclasses:
  Java13Handler, Java14Handler, Java15Handler

public abstract class JavaTypeHandler
extends java.lang.Object
implements SourceTypeHandler

Implementation of VisitorsFactory for the Java AST. It uses anonymous classes as adapters of the visitors to the VisitorStarter interface.

Author:
  pieter_van_raemdonck - Application Engineers NV/SA - www.ae.be

Constructor Summary
`JavaTypeHandler()`

Method Summary
`VisitorStarter` `getDataFlowFacade()` Get the DataFlowFacade.
`VisitorStarter` `getSymbolFacade()` Get the SymbolFacade.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sourceforge.pmd.sourcetypehandlers.SourceTypeHandler
`getParser`

Constructor Detail

### JavaTypeHandler

    public JavaTypeHandler()

Method Detail

### getDataFlowFacade

    public VisitorStarter getDataFlowFacade()

  Description copied from interface: `SourceTypeHandler`
  Get the DataFlowFacade.

  Specified by:
    `getDataFlowFacade` in interface `SourceTypeHandler`
  Returns:

### getSymbolFacade

    public VisitorStarter getSymbolFacade()

  Description copied from interface: `SourceTypeHandler`
  Get the SymbolFacade.

  Specified by:
    `getSymbolFacade` in interface `SourceTypeHandler`
  Returns:

Copyright © 2002-2006 InfoEther. All Rights Reserved.